import 'basico_model.dart';
import '../services/services.dart';

class CorteCaja extends Basico {
  double? fondo;
  double? fondo_ds;
  double? ventas;
  String? fecha;

  CorteCaja({
    super.id,
    this.fondo,
    this.fondo_ds,
    this.ventas,
    this.fecha,
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'fondo': fondo,
      'fondo_ds': fondo_ds,
      'ventas': ventas,
      'fecha': fecha,
    }..addAll(super.toJson());
  }

  CorteCaja.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    fondo = Basico.parseDouble(json['fondo']);
    fondo_ds = Basico.parseDouble(json['fondo_ds']);
    fondo_ds = Basico.parseDouble(json['fondo_ds']);
    ventas = Basico.parseDouble(json['ventas']);
    fecha = Basico.parseString(json['fecha']);
  }

  Future<void> guardar() async {
    idLocal = await RepoService().guardar(this);
  }
}
